Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.identity.service
Class IdentityServiceControllerImpl

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.portal.jems.as.system.AbstractJBossService
                  org.jboss.portal.core.identity.service.IdentityServiceControllerImpl

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, org.jboss.portal.identity.IdentityServiceController, org.jboss.system.Service, org.jboss.system.ServiceMBean

    public class IdentityServiceControllerImpl

extends AbstractJBossService
implements org.jboss.portal.identity.IdentityServiceController

Version:
  $Revision: 10817 $
Author:
  Boleslaw Dawidowicz

Field Summary
`protected JNDI.Binding` | `jndiBinding`
`protected org.jboss.kernel.Kernel` | `kernel` .

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`IdentityServiceControllerImpl()`

Method Summary
`java.lang.String` | `getConfigFile()`
`java.lang.String` | `getDefaultConfigFile()`
`org.jboss.portal.identity.IdentityContext` | `getIdentityContext()`
`org.jboss.portal.identity.event.IdentityEventBroadcaster` | `getIdentityEventBroadcaster()`
`JNDI.Binding` | `getJndiBinding()`
`java.lang.String` | `getJndiName()`
`boolean` | `isLdapIdentityCache()`
`boolean` | `isRegisterMBeans()`
`void` | `setConfigFile(java.lang.String configFile)`
`void` | `setDefaultConfigFile(java.lang.String defaultConfigFile)`
`void` | `setIdentityEventBroadcaster(org.jboss.portal.identity.event.IdentityEventBroadcaster identityEventBroadcaster)`
`void` | `setJndiBinding(JNDI.Binding jndiBinding)`
`void` | `setJndiName(java.lang.String jndiName)`
`void` | `setLdapIdentityCache(boolean ldapIdentityCache)`
`void` | `setRegisterMBeans(boolean registerMBeans)`
`protected void` | `startService()`
`protected void` | `stopService()`

Methods inherited from class org.jboss.portal.jems.as.system.AbstractJBossService
`create, destroy, getState, getStateString, start, stop`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`createService, destroyService, getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### jndiBinding

    protected JNDI.Binding jndiBinding

### kernel

    protected org.jboss.kernel.Kernel kernel

  .

Constructor Detail

### IdentityServiceControllerImpl

    public IdentityServiceControllerImpl()

Method Detail

### startService

    protected void startService()
                         throws java.lang.Exception

  Overrides:
    `startService` in class `org.jboss.system.ServiceMBeanSupport`
  Throws:
    `java.lang.Exception`

### stopService

    protected void stopService()
                        throws java.lang.Exception

  Overrides:
    `stopService` in class `org.jboss.system.ServiceMBeanSupport`
  Throws:
    `java.lang.Exception`

### getIdentityContext

    public org.jboss.portal.identity.IdentityContext getIdentityContext()

  Specified by:
    `getIdentityContext` in interface `org.jboss.portal.identity.IdentityServiceController`

### getConfigFile

    public java.lang.String getConfigFile()

### setConfigFile

    public void setConfigFile(java.lang.String configFile)

### getDefaultConfigFile

    public java.lang.String getDefaultConfigFile()

### setDefaultConfigFile

    public void setDefaultConfigFile(java.lang.String defaultConfigFile)

### getJndiName

    public java.lang.String getJndiName()

### setJndiName

    public void setJndiName(java.lang.String jndiName)

### getJndiBinding

    public JNDI.Binding getJndiBinding()

### setJndiBinding

    public void setJndiBinding(JNDI.Binding jndiBinding)

### isRegisterMBeans

    public boolean isRegisterMBeans()

### setRegisterMBeans

    public void setRegisterMBeans(boolean registerMBeans)

### getIdentityEventBroadcaster

    public org.jboss.portal.identity.event.IdentityEventBroadcaster getIdentityEventBroadcaster()

### setIdentityEventBroadcaster

    public void setIdentityEventBroadcaster(org.jboss.portal.identity.event.IdentityEventBroadcaster identityEventBroadcaster)

### isLdapIdentityCache

    public boolean isLdapIdentityCache()

### setLdapIdentityCache

    public void setLdapIdentityCache(boolean ldapIdentityCache)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD